#!/bin/sh
# the next line restarts using wish \
exec wish8.3 "$0" "$@"

# Minimal example of a custom application using the wsurf widget.


# Search for wsurf package in a reasonable location and load it
# This is for easy testing purposes when wsurf has not been installed

if {[llength [file split [info script]]] > 1} {
 # application called with whole pathname, use directory one level up
 set auto_path [concat [eval file join [lrange [file split [info script]] 0 end-2]] $auto_path]
} else {
 # application called with name and demos/ as working directory
 set auto_path [concat [file dirname [pwd]parent] $auto_path]
}
package require -exact wsurf 1.4



# Create and pack one wsurf widget

set w [wsurf .ws -collapser 0 -icons {play pause stop record}]

pack $w -expand 0 -fill both



# Try to load the first sound file given on the command line

$w openFile [lindex $argv 0]
