#!/bin/sh
# the next line restarts using wish \
exec wish8.3 "$0" "$@"


# Minimal example of a custom application using the wsurf widget.
#
# This example shows how to make the wsurf widget link to a file
# on disk instead of loading all sound data into memory.
# The first time a sound file is accessed a .shape file is created
# which contains coarse waveform information. This make accessing this
# file much faster in the future.


# Search for wsurf package in a reasonable location and load it
# This is for easy testing purposes when wsurf has not been installed

if {[llength [file split [info script]]] > 1} {
 # application called with whole pathname, use directory one level up
 set auto_path [concat [eval file join [lrange [file split [info script]] 0 end-2]] $auto_path]
} else {
 # application called with name and demos/ as working directory
 set auto_path [concat [file dirname [pwd]parent] $auto_path]
}
package require -exact wsurf 1.4



# Initialize wsurf package (this will set default preferences)

::wsurf::Initialize

# Link to disk file

wsurf::SetPreference linkFile 1


# Create and pack one wsurf widget

set w [wsurf .ws -collapser 0 -progressproc snack::progressCallback]

pack $w -expand 0 -fill both



# Prompt the user for a sound file and open it

$w openFile [snack::getOpenFile]
