#!/bin/sh
# the next line restarts using wish \
exec wish8.3 "$0" "$@"


# Minimal example of a custom application using the wsurf widget.
#
# This example shows how to create a wsurf widget and how to add one
# waveform pane and a time axis pane.


# Search for wsurf package in a reasonable location and load it
# This is for easy testing purposes when wsurf has not been installed

if {[llength [file split [info script]]] > 1} {
 # application called with whole pathname, use directory one level up
 set auto_path [concat [eval file join [lrange [file split [info script]] 0 end-2]] $auto_path]
} else {
 # application called with name and demos/ as working directory
 set auto_path [concat [file dirname [pwd]parent] $auto_path]
}
package require -exact wsurf 1.4



# Initialize wsurf package (this will set default preferences)

::wsurf::Initialize

# Make widget scroll during playback

wsurf::SetPreference autoScroll Page



# Create and pack one wsurf widget

set widget [wsurf .ws -collapser 0]

pack $widget -expand 0 -fill both



# Add a couple of panes and some content from the standard plug-ins
# These lines have been copied from the standard Waveform configuration,
# ../wsurf1.0/configurations/Waveform.conf

set pane [$widget addPane -maxheight 2048  -minheight 10]
$widget analysis::addWaveform $pane

set pane [$widget addPane -maxheight 20  -minheight 20]
$widget timeaxis::addTimeAxis $pane



# Prompt the user for a sound file and open it

$widget openFile [snack::getOpenFile]

